## ray 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 )
set( CMAKE_CXX_COMPILER mpicxx )
set( CMAKE_CXX_FLAGS "-O3 -Wall -ansi" )
include_directories( RayPlatform code )
add_executable( Ray 
code/plugin_MachineHelper/MachineHelper.cpp
code/plugin_Library/Library.cpp
code/plugin_Library/LibraryPeakFinder.cpp
code/plugin_Library/LibraryWorker.cpp
code/plugin_FusionTaskCreator/FusionTaskCreator.cpp
code/plugin_FusionTaskCreator/FusionWorker.cpp
code/plugin_NetworkTest/NetworkTest.cpp
code/plugin_SequencesLoader/SequencesLoader.cpp
code/plugin_SequencesLoader/ArrayOfReads.cpp
code/plugin_SequencesLoader/ColorSpaceDecoder.cpp
code/plugin_SequencesLoader/FastqGzLoader.cpp
code/plugin_SequencesLoader/SffLoader.cpp
code/plugin_SequencesLoader/Read.cpp
code/plugin_SequencesLoader/FastaLoader.cpp
code/plugin_SequencesLoader/BzReader.cpp
code/plugin_SequencesLoader/FastqBz2Loader.cpp
code/plugin_SequencesLoader/Loader.cpp
code/plugin_SequencesLoader/FastqLoader.cpp
code/plugin_SequencesLoader/ColorSpaceLoader.cpp
code/plugin_VerticesExtractor/Vertex.cpp
code/plugin_VerticesExtractor/GridTable.cpp
code/plugin_VerticesExtractor/GridTableIterator.cpp
code/plugin_VerticesExtractor/VerticesExtractor.cpp
code/plugin_JoinerTaskCreator/JoinerTaskCreator.cpp
code/plugin_JoinerTaskCreator/JoinerWorker.cpp
code/plugin_SeedingData/SeedingData.cpp
code/plugin_SeedingData/SeedWorker.cpp
code/plugin_SeedingData/AssemblySeed.cpp
code/plugin_FusionData/FusionData.cpp
code/plugin_CoverageGatherer/CoverageGatherer.cpp
code/plugin_CoverageGatherer/CoverageDistribution.cpp
code/plugin_SeedExtender/Direction.cpp
code/plugin_SeedExtender/TipWatchdog.cpp
code/plugin_SeedExtender/Chooser.cpp
code/plugin_SeedExtender/ExtensionElement.cpp
code/plugin_SeedExtender/SeedExtender.cpp
code/plugin_SeedExtender/ExtensionData.cpp
code/plugin_SeedExtender/VertexMessenger.cpp
code/plugin_SeedExtender/ReadFetcher.cpp
code/plugin_SeedExtender/BubbleTool.cpp
code/plugin_SeedExtender/NovaEngine.cpp
code/plugin_SeedExtender/DepthFirstSearchData.cpp
code/plugin_SeedExtender/OpenAssemblerChooser.cpp
code/plugin_MessageProcessor/MessageProcessor.cpp
code/plugin_Partitioner/Partitioner.cpp
code/plugin_SequencesIndexer/SequencesIndexer.cpp
code/plugin_SequencesIndexer/PairedRead.cpp
code/plugin_SequencesIndexer/ReadAnnotation.cpp
code/plugin_SequencesIndexer/IndexerWorker.cpp
code/application_core/Parameters.cpp
code/application_core/ray_main.cpp
code/application_core/common_functions.cpp
code/application_core/Machine.cpp
code/plugin_Amos/Amos.cpp
code/plugin_KmerAcademyBuilder/Kmer.cpp
code/plugin_KmerAcademyBuilder/KmerAcademyBuilder.cpp
code/plugin_KmerAcademyBuilder/BloomFilter.cpp
code/plugin_EdgePurger/EdgePurger.cpp
code/plugin_EdgePurger/EdgePurgerWorker.cpp
code/plugin_Searcher/ColorSet.cpp
code/plugin_Searcher/ContigHit.cpp
code/plugin_Searcher/Searcher.cpp
code/plugin_Searcher/ContigSearchEntry.cpp
code/plugin_Searcher/VirtualKmerColor.cpp
code/plugin_Searcher/DistributionWriter.cpp
code/plugin_Searcher/ColoredPeakFinder.cpp
code/plugin_Searcher/QualityCaller.cpp
code/plugin_Searcher/SearchDirectory.cpp
code/plugin_Scaffolder/Scaffolder.cpp
code/plugin_Scaffolder/SummarizedLink.cpp
code/plugin_Scaffolder/ScaffoldingAlgorithm.cpp
code/plugin_Scaffolder/ScaffoldingVertex.cpp
code/plugin_Scaffolder/ScaffoldingEdge.cpp
code/plugin_Scaffolder/ScaffoldingLink.cpp
code/plugin_GeneOntology/KeyEncoder.cpp
code/plugin_GeneOntology/GeneOntology.cpp
code/plugin_GenomeNeighbourhood/GenomeNeighbourhood.cpp
code/plugin_GenomeNeighbourhood/NeighbourPair.cpp
code/plugin_GenomeNeighbourhood/Neighbour.cpp
code/plugin_PhylogenyViewer/GenomeToTaxonLoader.cpp
code/plugin_PhylogenyViewer/PhylogenyViewer.cpp
code/plugin_PhylogenyViewer/PhylogeneticTreeLoader.cpp
code/plugin_PhylogenyViewer/TaxonNameLoader.cpp
RayPlatform/handlers/MasterModeExecutor.cpp
RayPlatform/handlers/SlaveModeExecutor.cpp
RayPlatform/handlers/MessageTagExecutor.cpp
RayPlatform/core/master_modes.cpp
RayPlatform/core/ComputeCore.cpp
RayPlatform/core/slave_modes.cpp
RayPlatform/core/OperatingSystem.cpp
RayPlatform/core/statistics.cpp
RayPlatform/routing/GraphImplementationExperimental.cpp
RayPlatform/routing/GraphImplementationKautz.cpp
RayPlatform/routing/ConnectionGraph.cpp
RayPlatform/routing/GraphImplementation.cpp
RayPlatform/routing/GraphImplementationGroup.cpp
RayPlatform/routing/GraphImplementationComplete.cpp
RayPlatform/routing/GraphImplementationDeBruijn.cpp
RayPlatform/routing/GraphImplementationRandom.cpp
RayPlatform/routing/Hypercube.cpp
RayPlatform/scheduling/TaskCreator.cpp
RayPlatform/scheduling/SwitchMan.cpp
RayPlatform/scheduling/VirtualProcessor.cpp
RayPlatform/profiling/Derivative.cpp
RayPlatform/profiling/TimePrinter.cpp
RayPlatform/profiling/Profiler.cpp
RayPlatform/profiling/TickLogger.cpp
RayPlatform/cryptography/crypto.cpp
RayPlatform/structures/StaticVector.cpp
RayPlatform/memory/ReusableMemoryStore.cpp
RayPlatform/memory/ChunkAllocatorWithDefragmentation.cpp
RayPlatform/memory/DefragmentationGroup.cpp
RayPlatform/memory/RingAllocator.cpp
RayPlatform/memory/MyAllocator.cpp
RayPlatform/memory/allocator.cpp
RayPlatform/memory/DefragmentationLane.cpp
RayPlatform/plugins/CorePlugin.cpp
RayPlatform/plugins/RegisteredPlugin.cpp
RayPlatform/communication/VirtualCommunicator.cpp
RayPlatform/communication/MessagesHandler.cpp
RayPlatform/communication/MessageRouter.cpp
RayPlatform/communication/Message.cpp
RayPlatform/communication/mpi_tags.cpp
RayPlatform/communication/BufferedData.cpp
)
