=== code/application_core/Makefile ===

application_core-y += application_core/ray_main.o application_core/Machine.o 
application_core-y += application_core/Parameters.o application_core/common_functions.o

obj-y += $(application_core-y)
