=== code/plugin_Amos/Makefile ===

Amos-y += plugin_Amos/Amos.o

obj-y += $(Amos-y)
