=== code/plugin_CoverageGatherer/Makefile ===

CoverageGatherer-y += plugin_CoverageGatherer/CoverageGatherer.o 
CoverageGatherer-y += plugin_CoverageGatherer/CoverageDistribution.o 

obj-y += $(CoverageGatherer-y)
