=== code/plugin_EdgePurger/Makefile ===
# plugin EdgePurger

EdgePurger-y += plugin_EdgePurger/EdgePurger.o plugin_EdgePurger/EdgePurgerWorker.o

obj-y += $(EdgePurger-y)
