=== code/plugin_FusionData/Makefile ===

FusionData-y += plugin_FusionData/FusionData.o 

obj-y += $(FusionData-y)
