=== code/plugin_FusionTaskCreator/Makefile ===

FusionTaskCreator-y += plugin_FusionTaskCreator/FusionWorker.o 
FusionTaskCreator-y += plugin_FusionTaskCreator/FusionTaskCreator.o 

obj-y += $(FusionTaskCreator-y)
