=== code/plugin_GeneOntology/Makefile ===

GeneOntology-y += plugin_GeneOntology/KeyEncoder.o
GeneOntology-y += plugin_GeneOntology/GeneOntology.o

obj-y += $(GeneOntology-y)
