=== code/plugin_GenomeNeighbourhood/Makefile ===
# this file contains the blueprints for
# the plugin GenomeNeighbourhood
# \author Sébastien Boisvert
# \date 2012-03-20 initial version

GenomeNeighbourhood-y += plugin_GenomeNeighbourhood/GenomeNeighbourhood.o
GenomeNeighbourhood-y += plugin_GenomeNeighbourhood/Neighbour.o
GenomeNeighbourhood-y += plugin_GenomeNeighbourhood/NeighbourPair.o

obj-y += $(GenomeNeighbourhood-y)
