=== debian/changelog ===
ray (2.1.0-1) unstable; urgency=low

  * Initial Debian release, Closes: #692238

 -- Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca>  Fri, 14 Nov 2012 13:32:00 +0000
