=== debian/control ===
Source: ray
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca>,
           Tim Booth <tbooth@ceh.ac.uk>
Build-Depends: debhelper (>= 9),
	zlib1g-dev,
	libbz2-dev,
	mpi-default-dev
Standards-Version: 3.9.3
Homepage: http://denovoassembler.sourceforge.net/
Vcs-Git: git://git.debian.org/git/debian-med/ray.git
Vcs-Browser: http://git.debian.org/?p=debian-med/ray.git

Package: ray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	mpi-default-bin
Description: parallel genome assemblies for parallel DNA sequencing
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 Included:
  - Ray de novo assembly of single genomes
  - Ray Méta de novo assembly of metagenomes
  - Ray Communities microbe abundance + taxonomic profiling
  - Ray Ontologies gene ontology profiling

Package: ray-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation files
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 This sub-package includes documentation files.

Package: ray-extra
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}, r-base-core, python
Description: Scripts and XSL sheets for post-processing
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 This sub-package contains scripts and XSL sheets for post-processing.
