=== debian/watch ===
version=3
http://sf.net/denovoassembler/Ray-v(.+)\.tar\.bz2
