=== code/FusionTaskCreator/Makefile ===
FusionTaskCreator-y += code/FusionTaskCreator/FusionWorker.o 
FusionTaskCreator-y += code/FusionTaskCreator/FusionTaskCreator.o 

obj-y += $(FusionTaskCreator-y)
