=== code/Scaffolder/Makefile ===
Scaffolder-y += code/Scaffolder/Scaffolder.o 
Scaffolder-y += code/Scaffolder/ScaffoldingLink.o
Scaffolder-y += code/Scaffolder/SummarizedLink.o
Scaffolder-y += code/Scaffolder/ScaffoldingAlgorithm.o
Scaffolder-y += code/Scaffolder/ScaffoldingVertex.o
Scaffolder-y += code/Scaffolder/ScaffoldingEdge.o

obj-y += $(Scaffolder-y)
