=== code/application_core/Makefile ===
#application_core-y += code/application_core/ray_main.o
application_core-y += code/application_core/Machine.o 

obj-y += $(application_core-y)
