=== debian/changelog ===
ray (2.3.0-2) unstable; urgency=medium

  * Fix Build issue on mips, mipsel and s390x (thanks for the patch
    to Aurelien Jarno <aurel32@debian.org>)
    Closes: #739184
  * Added myself as Uploader

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2014 22:36:57 +0100

ray (2.3.0-1) unstable; urgency=low

  [ Sébastien Boisvert ]
  * New upstream version
     (previous patches removed since applied upstream)

  [ Andreas Tille ]
  * debian/control:
     - Priority should be optional
     - enhanced description
     - normalised d/control via `cme fix dpkg-control`
  * debian/watch: More precise regexp to fit also historic versions
  * debian/upstream: publication information
  * debian/Ray.1: Enhanced formatting
  * debian/patches/hardening.patch: Propagate hardening options

 -- Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca>  Mon, 3 Feb 2014 13:17:00 -0500
