=== debian/control ===
Source: ray
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               libbz2-dev,
               mpi-default-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/ray.git
Vcs-Git: git://anonscm.debian.org/debian-med/ray.git
Homepage: http://denovoassembler.sourceforge.net/

Package: ray
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mpi-default-bin
Description: parallel de novo genome assemblies of next-gen sequencing data
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 Included:
  - Ray de novo assembly of single genomes
  - Ray Méta de novo assembly of metagenomes
  - Ray Communities microbe abundance + taxonomic profiling
  - Ray Ontologies gene ontology profiling

Package: ray-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: focumentation for ray parallel de novo genome assembler
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 .
 This package includes documentation files.

Package: ray-extra
Architecture: all
Depends: ${misc:Depends},
         r-base-core,
         python
Description: Scripts and XSL sheets for post-processing for ray de novo assembler
 Ray is a parallel software that computes de novo genome assemblies with   
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected 
 computers using the message-passing interface (MPI) standard.
 .
 This package contains scripts and XSL sheets for post-processing.
