=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean :
	dh_auto_clean -- CXXFLAGS="$(CXXFLAGS)" HAVE_LIBZ=y HAVE_LIBBZ2=y
	rm -rf install-prefix
	rm -f README.Ray  README.RayPlatform

override_dh_auto_build :
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" DEBLDFLAGS="$(LDFLAGS)" HAVE_LIBBZ2=y HAVE_LIBZ=y
	#Rename 2 docs to make more sence in package context
	cp README.md README.Ray
	cp RayPlatform/README.md README.RayPlatform
	cp RayPlatform/README.md RayPlatform/README
