## ray 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 )
set( CMAKE_CXX_COMPILER mpicxx )
set( CMAKE_CXX_FLAGS "-O3 -Wall -std=c++98 -g" )
include_directories( . RayPlatform )
add_executable( Ray 



code/application_core/ray_main.cpp
code/application_core/Machine.cpp
code/Partitioner/Partitioner.cpp
code/Searcher/DistributionWriter.cpp
code/Searcher/Searcher.cpp
code/Searcher/ContigHit.cpp
code/Searcher/ContigSearchEntry.cpp
code/Searcher/SearchDirectory.cpp
code/Searcher/ColorSet.cpp
code/Searcher/VirtualKmerColor.cpp
code/Searcher/QualityCaller.cpp
code/Searcher/ColoredPeakFinder.cpp
code/KmerAcademyBuilder/KmerAcademyBuilder.cpp
code/KmerAcademyBuilder/Kmer.cpp
code/KmerAcademyBuilder/BloomFilter.cpp
code/SequencesLoader/BzReader.cpp
code/SequencesLoader/FastaGzLoader.cpp
code/SequencesLoader/ExportLoader.cpp
code/SequencesLoader/LoaderFactory.cpp
code/SequencesLoader/FastqLoader.cpp
code/SequencesLoader/FastqGzLoader.cpp
code/SequencesLoader/LoaderInterface.cpp
code/SequencesLoader/FastaBz2Loader.cpp
code/SequencesLoader/SffLoader.cpp
code/SequencesLoader/FastaLoader.cpp
code/SequencesLoader/ColorSpaceLoader.cpp
code/SequencesLoader/Loader.cpp
code/SequencesLoader/ColorSpaceDecoder.cpp
code/SequencesLoader/FastqBz2Loader.cpp
code/SequencesLoader/ArrayOfReads.cpp
code/SequencesLoader/BufferedReader.cpp
code/SequencesLoader/ReadHandle.cpp
code/SequencesLoader/FastaLoaderForReads.cpp
code/SequencesLoader/SequenceFileDetector.cpp
code/SequencesLoader/Read.cpp
code/SequencesLoader/SequencesLoader.cpp
code/JoinerTaskCreator/JoinerTaskCreator.cpp
code/JoinerTaskCreator/JoinerWorker.cpp
code/SeedExtender/ExtensionElement.cpp
code/SeedExtender/ReadFetcher.cpp
code/SeedExtender/OpenAssemblerChooser.cpp
code/SeedExtender/VertexMessenger.cpp
code/SeedExtender/TipWatchdog.cpp
code/SeedExtender/NovaEngine.cpp
code/SeedExtender/BubbleTool.cpp
code/SeedExtender/Chooser.cpp
code/SeedExtender/SeedExtender.cpp
code/SeedExtender/Direction.cpp
code/SeedExtender/ExtensionData.cpp
code/SeedExtender/DepthFirstSearchData.cpp
code/Library/Library.cpp
code/Library/LibraryWorker.cpp
code/Library/LibraryPeakFinder.cpp
code/Mock/Mock.cpp
code/Mock/Parameters.cpp
code/Mock/common_functions.cpp
code/Example/Example.cpp
code/TaxonomyViewer/TaxonomyViewer.cpp
code/TaxonomyViewer/TaxonomicTreeLoader.cpp
code/TaxonomyViewer/TaxonNameLoader.cpp
code/TaxonomyViewer/GenomeToTaxonLoader.cpp
code/GeneOntology/KeyEncoder.cpp
code/GeneOntology/GeneOntology.cpp
code/MessageProcessor/MessageProcessor.cpp
code/PathEvaluator/PathEvaluator.cpp
code/VerticesExtractor/VerticesExtractor.cpp
code/VerticesExtractor/Vertex.cpp
code/VerticesExtractor/GridTableIterator.cpp
code/VerticesExtractor/GridTable.cpp
code/SpuriousSeedAnnihilator/AttributeFetcher.cpp
code/SpuriousSeedAnnihilator/SeedFilteringWorkflow.cpp
code/SpuriousSeedAnnihilator/AnnotationFetcher.cpp
code/SpuriousSeedAnnihilator/GraphSearchResult.cpp
code/SpuriousSeedAnnihilator/NanoMerger.cpp
code/SpuriousSeedAnnihilator/SeedMergingWorkflow.cpp
code/SpuriousSeedAnnihilator/SpuriousSeedAnnihilator.cpp
code/SpuriousSeedAnnihilator/GraphExplorer.cpp
code/SpuriousSeedAnnihilator/SeedGossipSolver.cpp
code/SpuriousSeedAnnihilator/GossipAssetManager.cpp
code/SpuriousSeedAnnihilator/AnnihilationWorker.cpp
code/MachineHelper/MachineHelper.cpp
code/Surveyor/MatrixOwner.cpp
code/Surveyor/StoreKeeper.cpp
code/Surveyor/CoalescenceManager.cpp
code/Surveyor/ExperimentVertex.cpp
code/Surveyor/Mother.cpp
code/Surveyor/GenomeGraphReader.cpp
code/FusionTaskCreator/FusionWorker.cpp
code/FusionTaskCreator/FusionTaskCreator.cpp
code/Amos/Amos.cpp
code/Scaffolder/Scaffolder.cpp
code/Scaffolder/ScaffoldingEdge.cpp
code/Scaffolder/ScaffoldingVertex.cpp
code/Scaffolder/ScaffoldingLink.cpp
code/Scaffolder/SummarizedLink.cpp
code/Scaffolder/ScaffoldingAlgorithm.cpp
code/GenomeNeighbourhood/GenomeNeighbourhood.cpp
code/GenomeNeighbourhood/Neighbour.cpp
code/GenomeNeighbourhood/NeighbourPair.cpp
code/EdgePurger/EdgePurger.cpp
code/EdgePurger/EdgePurgerWorker.cpp
code/NetworkTest/NetworkTest.cpp
code/SequencesIndexer/ReadAnnotation.cpp
code/SequencesIndexer/PairedRead.cpp
code/SequencesIndexer/IndexerWorker.cpp
code/SequencesIndexer/SequencesIndexer.cpp
code/FusionData/FusionData.cpp
code/CoverageGatherer/CoverageGatherer.cpp
code/CoverageGatherer/CoverageDistribution.cpp
code/SeedingData/SeedingData.cpp
code/SeedingData/SeedWorker.cpp
code/SeedingData/PathHandle.cpp
code/SeedingData/GraphPath.cpp
RayPlatform/RayPlatform/cryptography/crypto.cpp
RayPlatform/RayPlatform/plugins/RegisteredPlugin.cpp
RayPlatform/RayPlatform/plugins/CorePlugin.cpp
RayPlatform/RayPlatform/actors/Playground.cpp
RayPlatform/RayPlatform/actors/Actor.cpp
RayPlatform/RayPlatform/profiling/Profiler.cpp
RayPlatform/RayPlatform/profiling/Derivative.cpp
RayPlatform/RayPlatform/profiling/ProcessStatus.cpp
RayPlatform/RayPlatform/profiling/TickLogger.cpp
RayPlatform/RayPlatform/profiling/TimePrinter.cpp
RayPlatform/RayPlatform/store/KeyValueStore.cpp
RayPlatform/RayPlatform/store/KeyValueStoreItem.cpp
RayPlatform/RayPlatform/store/KeyValueStoreRequest.cpp
RayPlatform/RayPlatform/memory/ReusableMemoryStore.cpp
RayPlatform/RayPlatform/memory/MyAllocator.cpp
RayPlatform/RayPlatform/memory/allocator.cpp
RayPlatform/RayPlatform/memory/RingAllocator.cpp
RayPlatform/RayPlatform/memory/ChunkAllocatorWithDefragmentation.cpp
RayPlatform/RayPlatform/memory/DefragmentationLane.cpp
RayPlatform/RayPlatform/memory/DirtyBuffer.cpp
RayPlatform/RayPlatform/memory/DefragmentationGroup.cpp
RayPlatform/RayPlatform/core/statistics.cpp
RayPlatform/RayPlatform/core/ComputeCore.cpp
RayPlatform/RayPlatform/core/MiniRank.cpp
RayPlatform/RayPlatform/core/master_modes.cpp
RayPlatform/RayPlatform/core/OperatingSystem.cpp
RayPlatform/RayPlatform/core/slave_modes.cpp
RayPlatform/RayPlatform/handlers/MessageTagExecutor.cpp
RayPlatform/RayPlatform/handlers/MasterModeExecutor.cpp
RayPlatform/RayPlatform/handlers/SlaveModeExecutor.cpp
RayPlatform/RayPlatform/scheduling/TaskCreator.cpp
RayPlatform/RayPlatform/scheduling/SwitchMan.cpp
RayPlatform/RayPlatform/scheduling/VirtualProcessor.cpp
RayPlatform/RayPlatform/files/FileReader.cpp
RayPlatform/RayPlatform/structures/StaticVector.cpp
RayPlatform/RayPlatform/communication/BufferedData.cpp
RayPlatform/RayPlatform/communication/Message.cpp
RayPlatform/RayPlatform/communication/MessageQueue.cpp
RayPlatform/RayPlatform/communication/MessagesHandler.cpp
RayPlatform/RayPlatform/communication/VirtualCommunicator.cpp
RayPlatform/RayPlatform/communication/mpi_tags.cpp
RayPlatform/RayPlatform/communication/MessageRouter.cpp
RayPlatform/RayPlatform/routing/ConnectionGraph.cpp
RayPlatform/RayPlatform/routing/Torus.cpp
RayPlatform/RayPlatform/routing/Polytope.cpp
RayPlatform/RayPlatform/routing/GraphImplementation.cpp
RayPlatform/RayPlatform/routing/GraphImplementationKautz.cpp
RayPlatform/RayPlatform/routing/GraphImplementationComplete.cpp
RayPlatform/RayPlatform/routing/GraphImplementationExperimental.cpp
RayPlatform/RayPlatform/routing/GraphImplementationRandom.cpp
RayPlatform/RayPlatform/routing/GraphImplementationDeBruijn.cpp
RayPlatform/RayPlatform/routing/GraphImplementationGroup.cpp

)
