=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 2
 PATCHLEVEL = 3
-SUBLEVEL = 0
+SUBLEVEL = 1
 EXTRAVERSION =
 NAME = Distributed Pumpkin
 
@@ -123,7 +123,7 @@
 CONFIG_FLAGS-y += -D CONFIG_MAXKMERLENGTH=$(MAXKMERLENGTH)
 
 # compile assertions
-CONFIG_FLAGS-$(CONFIG_ASSERT) += -D CONFIG_ASSERT -D ASSERT
+CONFIG_FLAGS-$(CONFIG_ASSERT) += -D CONFIG_ASSERT
 
 #compile with zlib
 CONFIG_FLAGS-$(CONFIG_HAVE_LIBZ) += -D CONFIG_HAVE_LIBZ
@@ -225,6 +225,6 @@
 
 	$(Q)mkdir $(PREFIX)/RayPlatform
 	$(Q)cp RayPlatform/AUTHORS $(PREFIX)/RayPlatform
-	$(Q)cp RayPlatform/README $(PREFIX)/RayPlatform
+	$(Q)cp RayPlatform/README.md $(PREFIX)/RayPlatform
 	$(Q)cp -r RayPlatform/Documentation $(PREFIX)/RayPlatform
