=== RayPlatform/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 VERSION = 2
 PATCHLEVEL = 0
-SUBLEVEL = 0
+SUBLEVEL = 1
 EXTRAVERSION =
 NAME =  Actor Nest
 
@@ -24,7 +24,7 @@
 CONFIG_ASSERT=$(ASSERT)
 
 CONFIG_FLAGS-y=
-CONFIG_FLAGS-$(CONFIG_ASSERT) += -D CONFIG_ASSERT -D ASSERT
+CONFIG_FLAGS-$(CONFIG_ASSERT) += -D CONFIG_ASSERT
 CONFIG_FLAGS=$(CONFIG_FLAGS-y)
 
 # inference rule
