=== code/Amos/Makefile ===
Amos-y += code/Amos/Amos.o

obj-y += $(Amos-y)
