=== code/CoverageGatherer/Makefile ===
CoverageGatherer-y += code/CoverageGatherer/CoverageGatherer.o 
CoverageGatherer-y += code/CoverageGatherer/CoverageDistribution.o 

obj-y += $(CoverageGatherer-y)
