=== code/EdgePurger/Makefile ===
EdgePurger-y += code/EdgePurger/EdgePurger.o
EdgePurger-y += code/EdgePurger/EdgePurgerWorker.o

obj-y += $(EdgePurger-y)
