=== code/Example/Makefile ===
Example-y += code/Example/Example.o

obj-y += $(Example-y)
