=== code/FusionData/Makefile ===
FusionData-y += code/FusionData/FusionData.o 

obj-y += $(FusionData-y)
