=== code/GeneOntology/Makefile ===
GeneOntology-y += code/GeneOntology/KeyEncoder.o
GeneOntology-y += code/GeneOntology/GeneOntology.o

obj-y += $(GeneOntology-y)
