=== code/GenomeNeighbourhood/Makefile ===
GenomeNeighbourhood-y += code/GenomeNeighbourhood/GenomeNeighbourhood.o
GenomeNeighbourhood-y += code/GenomeNeighbourhood/Neighbour.o
GenomeNeighbourhood-y += code/GenomeNeighbourhood/NeighbourPair.o

obj-y += $(GenomeNeighbourhood-y)
