=== code/JoinerTaskCreator/Makefile ===
JoinerTaskCreator-y += code/JoinerTaskCreator/JoinerWorker.o 
JoinerTaskCreator-y += code/JoinerTaskCreator/JoinerTaskCreator.o

obj-y += $(JoinerTaskCreator-y)
