=== debian/changelog ===
ray (2.3.1-9) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Compute mpi compile flags using pkgconf. (Closes: #1085491)

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2024 16:37:51 +0100

ray (2.3.1-8) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix spacing typo in debian/rules
  * Apply multi-arch hints.
    + ray-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * d/rules: Clean REFIX directory and RayPlatform/README (Closes: #1047580)

 -- Lance Lin <lq27267@gmail.com>  Wed, 06 Dec 2023 20:16:19 +0700

ray (2.3.1-7) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #945704
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/copyright
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Use secure URI in debian/watch.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 2.1.0-1.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2019 12:51:58 +0100

ray (2.3.1-6) unstable; urgency=medium

  * Team upload

  [ Nadiya Sitdykova ]
  * Get rid of ssh dependency
  * Allow mpi run without ssh dependency

  [ Graham Inggs ]
  * Allow node oversubscription in autopkgtest
  * Switch to debhelper 11
  * Use HTTPS for copyright format
  * Update Vcs-* URIs for move to salsa.debian.org
  * Remove trailing whitespace from d/changelog, d/control and d/rules
  * Bump Standards-Version to 4.1.4, no further changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 17 May 2018 13:03:55 +0000

ray (2.3.1-5) unstable; urgency=medium


  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite
  * Add missing ssh dependency

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.0.0 (no changes needed)

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Thu, 27 Jul 2017 23:21:43 -0400

ray (2.3.1-4) unstable; urgency=medium

  * Team upload.
  * Enforce stable sort order for linking to make build reproducible.
  * Fix hardening by using CPPFLAGS etc.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 18 May 2016 21:06:31 +0000

ray (2.3.1-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Fix FTBFS with GCC6.
    Closes: #811633

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Better hardening

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 08 Apr 2016 16:03:18 +0000

ray (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on s390x. Link against pthread.

 -- Anton Gladky <gladk@debian.org>  Wed, 30 Dec 2015 20:13:33 +0100

ray (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control (including shortened synopsis)
  * d/copyright:
     - make sure all files are included in copyright statement
       and chose more strict license (GPL-3) for the missing files
     - add separate section for debian/*

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 16:53:37 +0200
