=== debian/control ===
Source: ray
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               libbz2-dev,
               mpi-default-dev,
               pkgconf,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/ray
Vcs-Git: https://salsa.debian.org/med-team/ray.git
Homepage: https://denovoassembler.sourceforge.net/
Rules-Requires-Root: no

Package: ray
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mpi-default-bin
Description: de novo genome assemblies of next-gen sequencing data
 Ray is a parallel software that computes de novo genome assemblies with
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected
 computers using the message-passing interface (MPI) standard.
 Included:
  - Ray de novo assembly of single genomes
  - Ray Méta de novo assembly of metagenomes
  - Ray Communities microbe abundance + taxonomic profiling
  - Ray Ontologies gene ontology profiling

Package: ray-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: documentation for ray parallel de novo genome assembler
 Ray is a parallel software that computes de novo genome assemblies with
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected
 computers using the message-passing interface (MPI) standard.
 .
 This package includes documentation files.

Package: ray-extra
Architecture: all
Depends: ${misc:Depends},
         r-base-core,
         python3
Description: Scripts and XSL sheets for post-processing for ray
 Ray is a parallel software that computes de novo genome assemblies with
 next-generation sequencing data.
 Ray is written in C++ and can run in parallel on numerous interconnected
 computers using the message-passing interface (MPI) standard.
 .
 This package contains scripts and XSL sheets for post-processing.
