=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildtools.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = $(shell $(PKG_CONFIG) --cflags mpi-c)
export DEB_LDFLAGS_MAINT_APPEND = $(shell $(PKG_CONFIG) --libs mpi-c)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- CXXFLAGS="$(CXXFLAGS)" HAVE_LIBZ=y HAVE_LIBBZ2=y
	rm -rf install-prefix REFIX
	rm -f README.Ray README.RayPlatform RayPlatform/README

override_dh_auto_build:
	dh_auto_build -- MPICXX='$(CXX)' CXXFLAGS="$(CXXFLAGS)" DEBLDFLAGS="$(LDFLAGS) -lpthread" HAVE_LIBBZ2=y HAVE_LIBZ=y
	#Rename 2 docs to make more sence in package context
	cp README.md README.Ray
	cp RayPlatform/README.md README.RayPlatform
	cp RayPlatform/README.md RayPlatform/README
