=== debian/watch ===
version=4
https://sf.net/denovoassembler/Ray-v?(\d[\d\.]+)\.tar\.bz2
